# Interface MidiDeviceTransmitter

All Superinterfaces:
  `AutoCloseable, Transmitter`

public interface MidiDeviceTransmitter extends Transmitter
`MidiDeviceTransmitter` is a `Transmitter` which represents a MIDI input connector of a `MidiDevice` (see `MidiDevice.getTransmitter()`).

Since:
  1.7

## Method Summary

Modifier and Type
Method
Description
`MidiDevice`
`getMidiDevice()`
Obtains a `MidiDevice` object which is an owner of this `Transmitter`.

### Methods declared in interface Transmitter

`close, getReceiver, setReceiver`
Modifier and Type
Method
Description
`void`
`close()`
Indicates that the application has finished using the transmitter, and that limited resources it requires may be released or made available.
`Receiver`
`getReceiver()`
Obtains the current receiver to which this transmitter will deliver MIDI messages.
`void`
`setReceiver(Receiver receiver)`
Sets the receiver to which this transmitter will deliver MIDI messages.

## Method Details

### getMidiDevice

MidiDevice getMidiDevice()
Obtains a `MidiDevice` object which is an owner of this `Transmitter`.

Returns:
  a `MidiDevice` object which is an owner of this `Transmitter`